import request from '@/config/axios'

export type DataSetVO = {
  id: number | undefined
  name: string
  dataSource: string
  querySql: string
  remark: string
  sort: number
}

// 查询列表
export const getDataSetList = () => {
  return request.get({ url: '/data/ind/data-set/list-all-simple' })
}

// 查询列表
export const getDataSetPage = (params: PageParam) => {
  return request.get({ url: '/data/ind/data-set/page', params })
}

// 查询详情
export const getDataSet = (id: number) => {
  return request.get({ url: '/data/ind/data-set/get?id=' + id })
}

// 新增
export const createDataSet = (data: DataSetVO) => {
  return request.post({ url: '/data/ind/data-set/create', data })
}

// 修改
export const updateDataSet = (data: DataSetVO) => {
  return request.put({ url: '/data/ind/data-set/update', data })
}

// 删除
export const deleteDataSet = (id: number) => {
  return request.delete({ url: '/data/ind/data-set/delete?id=' + id })
}
